Subject: bug#22916: 25.0.92; eww completely hangs Emacs on "invalid" png image

From: Lars Ljung <[email-masked]>
Date: Sat, 5 Mar 2016 16:58:37 +0100

Den 2016-03-05 kl. 16:23, skrev Lars Magne Ingebrigtsen:
> I kinda doubt that this is a problem in eww.  The error message in
> question is from deep in the Cairo code, so I would assume you'd get the
> same message if you downloaded the .png in question and just asked Emacs
> to display it.

Well, it might be more than one problem. I do get the same message if I
download the image and open it with C-x C-f. The buffer shows the raw
data instead of the image. But Emacs remains responsive and I can just
kill that buffer.

But eww causes Emacs to enter some infinite loop where C-g does not
work. The CPU load is high and Emacs keeps eating more and more RAM. The
minibuffer is flickering and keeps showing the same message.

Kind regards,
Lars Ljung